commit 80b52e66222897e1be842080fb0701b6208237c5
Author: freddy77 <freddy77>
Date:   Thu Aug 14 08:49:22 2008 +0000

    add "asa database" option to specify ASA database

diff --git a/ChangeLog b/ChangeLog
index ce48b41..9ecfb22 100644
--- a/ChangeLog
+++ b/ChangeLog
@@ -1,3 +1,7 @@
+Thu Aug 14 10:48:38 CET 2008    Frediano Ziglio <freddy77_A_gmail_D_com>
+	* include/tds.h src/tds/config.c:
+	- add "asa database" option to specify ASA database
+
 Wed Aug 13 15:06:17 EDT 2008	JK Lowden <jklowden@freetds.org>
 	* doc/userguide.sgml advice about unicode strings
 	* src/dblib/dblib.c tdserror for setting invalid TDS version
@@ -521,4 +525,4 @@ Wed Jan  9 19:54:43 EST 2008	JK Lowden <jklowden@freetds.org>
 	* ChangeLog  truncated because of release
 	* ChangeLog-0.82 added because of release
 	
-$Id: ChangeLog,v 1.2579 2008/08/13 19:08:30 jklowden Exp $
+$Id: ChangeLog,v 1.2580 2008/08/14 08:49:22 freddy77 Exp $
diff --git a/include/tds.h b/include/tds.h
index 42d9978..bdce7a6 100644
--- a/include/tds.h
+++ b/include/tds.h
@@ -20,7 +20,7 @@
 #ifndef _tds_h_
 #define _tds_h_
 
-/* $Id: tds.h,v 1.292 2008/07/08 17:16:55 jklowden Exp $ */
+/* $Id: tds.h,v 1.293 2008/08/14 08:49:22 freddy77 Exp $ */
 
 #include <stdarg.h>
 #include <stdio.h>
@@ -809,6 +809,7 @@ typedef enum tds_encryption_level {
 #define TDS_STR_APPENDMODE	"dump file append"
 #define TDS_STR_DATEFMT	"date format"
 #define TDS_STR_INSTANCE "instance"
+#define TDS_STR_ASA_DATABASE	"asa database"
 #define TDS_STR_ENCRYPTION	 "encryption"
 /* conf values */
 #define TDS_STR_ENCRYPTION_OFF	 "off"
diff --git a/src/tds/config.c b/src/tds/config.c
index b70310c..9dcaf05 100644
--- a/src/tds/config.c
+++ b/src/tds/config.c
@@ -76,7 +76,7 @@
 #include <dmalloc.h>
 #endif
 
-TDS_RCSID(var, "$Id: config.c,v 1.134 2008/08/06 07:40:15 freddy77 Exp $");
+TDS_RCSID(var, "$Id: config.c,v 1.135 2008/08/14 08:49:22 freddy77 Exp $");
 
 static void tds_config_login(TDSCONNECTION * connection, TDSLOGIN * login);
 static void tds_config_env_tdsdump(TDSCONNECTION * connection);
@@ -547,6 +547,8 @@ tds_parse_conf_section(const char *option, const char *value, void *param)
 		tds_dstr_copy(&connection->instance_name, value);
 	} else if (!strcmp(option, TDS_STR_ENCRYPTION)) {
 		tds_config_encryption(value, connection);
+	} else if (!strcmp(option, TDS_STR_ASA_DATABASE)) {
+		tds_dstr_copy(&connection->server_name, value);
 	} else {
 		tdsdump_log(TDS_DBG_INFO1, "UNRECOGNIZED option '%s' ... ignoring.\n", option);
 	}
@@ -555,7 +557,7 @@ tds_parse_conf_section(const char *option, const char *value, void *param)
 static void
 tds_config_login(TDSCONNECTION * connection, TDSLOGIN * login)
 {
-	if (!tds_dstr_isempty(&login->server_name)) {
+	if (!tds_dstr_isempty(&login->server_name) && tds_dstr_isempty(&connection->server_name)) {
 		tds_dstr_dup(&connection->server_name, &login->server_name);
 	}
 	if (login->major_version || login->minor_version) {

